@font-face {
	font-family: 'Segoe UI';
	src: url('../fonts/SegoeUI/SegoeUI.eot');
	src: local('Segoe UI'), local('SegoeUI'),
		url('../fonts/SegoeUI/SegoeUI.eot?#iefix') format('embedded-opentype'),
		url('../fonts/SegoeUI/SegoeUI.woff') format('woff'),
		url('../fonts/SegoeUI/SegoeUI.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Segoe UI';
	src: url('../fonts/SegoeUI/SegoeUI-Bold.eot');
	src: local('Segoe UI Bold'), local('SegoeUI-Bold'),
		url('../fonts/SegoeUI/SegoeUI-Bold.eot?#iefix') format('embedded-opentype'),
		url('../fonts/SegoeUI/SegoeUI-Bold.woff') format('woff'),
		url('../fonts/SegoeUI/SegoeUI-Bold.ttf') format('truetype');
	font-weight: bold;
	font-style: normal;
}

@font-face {
	font-family: 'Segoe UI';
	src: url('../fonts/SegoeUI/SegoeUI-SemiBold.eot');
	src: local('Segoe UI Semibold'), local('SegoeUI-SemiBold'),
		url('../fonts/SegoeUI/SegoeUI-SemiBold.eot?#iefix') format('embedded-opentype'),
		url('../fonts/SegoeUI/SegoeUI-SemiBold.woff') format('woff'),
		url('../fonts/SegoeUI/SegoeUI-SemiBold.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
}


.nav{
   font-family: 'Segoe UI', sans-serif;
   position: fixed;
   top: 0;
   left: 0;
   height: 100vh;
   width: 270px;
   background: rgba(246, 249, 253, 0.9);
   color: #3B4256;
   font-size: 14px;
   box-shadow: 0 3px 6px rgba(0,0,0,0.16);
   transform: translateX(-100%);
   transition: transform 0.4s ease;
   user-select: none;
   z-index: 9;

   &.visible{
      transform: translateX(0);
   }

   .nav_wrap{
      overflow-y: auto;
      height: 100%;
      padding: 24px 0 85px 0;
      box-sizing: border-box;

      &::-webkit-scrollbar { 
         display: none; 
      }
   }

   &_label{
      position: absolute;
      top: 300px;
      left: 100%;
      transform: rotate(-90deg) translate(0,0);
      border-radius: 0 0 4px 4px;
      transform-origin: 0 0;
      background: #E6492D;
      padding: 7px 15px;
      color: #fff;
      line-height: 1;
      font-size: 14px;
      cursor: pointer;
   }

   &_info{
      padding: 0 28px 15px 10px;
      margin-left: 20px;
      // margin-right: 12px;
      position: relative;
      margin-bottom: 15px;
      line-height: 1.6;

      &:after{
         content: '';
         position: absolute;
         bottom: 0;
         left: 0;
         bottom: 0;
         width: 100%;
         height: 1px;
         background: #EAEDF3;
      }

      &-title{
         text-transform: uppercase;
         font-weight: 500;
      }
      &-sub-title{

      }
      &-action{
         color: #747E89;
         margin-bottom: 18px;
      }
      &-title-price{

      }
      &-price{

      }
   }

   ul{
      margin: 0;
      padding-left: 0;
      // padding-right: 18px;
      overflow: hidden;

      li{
         list-style-type: none;
         transition: background 0.3s ease;

         &.current{
            position: relative;
               
            &:before{
               content: '';
               position: absolute;
               top: 0;
               left: 0;
               bottom: 0;
               width: 4px;
               background: #3580D0;
            }
            a, span{
               color: #3580D0;
            }
         }

         &.open{
            background: #DDE1E6;

            span, a{
               font-weight: 500;

               .arrow{
                  transform: scaleY(-1);
               }
            }

            &>ul{
               display: block;

               li{

                  span, a{
                     font-weight: 400;
                  }

                  &.open{
                     background: #D6D6D6;

                     span, a{
                        font-weight: 500;
                        color: #3b4256;
                     }

                     &>ul li{

                        span, a{
                           font-weight: 400;
                           color: #747e89;
                        }
                     }
                  }
               }
            }
         }

         span, a{
            display: block;
            line-height: 40px;
            color: #3B4256;
            text-decoration: none;
            position: relative;
            padding-left: 30px;
            cursor: pointer;
            font-weight: 400;
            transition: color 0.2s ease;

            &:hover{
               color: #3073BC;
            }

            .noti{
               position: absolute;
               height: 20px;
               width: 20px;
               box-sizing: border-box;
               right: 38px;
               top: 10px;
               color: #fff;
               background: #3580D0;
               border-radius: 50%;
               line-height: 19px;
               text-align: center;
               font-size: 12px;
            }

            .arrow{
               position: absolute;
               right: 18px;
               top: 15px;
               width: 8px;
               height: 8px;
               transform-origin: center;
               transition: transform 0.35s ease;
            }
         }
         ul{
            display: none;

            li{

               span, a{
                  padding-left: 48px;
                  color: #747E89;
               }
               ul{

                  li{

                     a{
                        padding-left: 66px;
                     }
                  }
               }
            }
         }
      }
   }

   &_settings{
      position: absolute;
      bottom: 5px;
      left: 30px;
      right: 18px;
      cursor: pointer;
      border-top: 1px solid #EAEDF3;
      padding-top: 30px;
      padding-bottom: 30px;
      padding-right: 18px;
      box-sizing: border-box;
      background: #F6F9FC;

      &:hover{
         span{
            color: #3073BC;
         }
         svg rect{
            fill: #3073BC;
         }
      }

      &-icon{
         vertical-align: middle;
         display: inline-block;
         height: 20px;
         width: 20px;

         rect{
            transition: fill 0.2s ease;
         }
      }
      span{
         font-size: 16px;
         line-height: 20px;
         color: #747E89;
         display: inline-block;
         vertical-align: middle;
         transition: color 0.2s ease;
      }
   }
}